# use bash so process substutution is available
CC = gcc
CFLAGS = -fno-stack-protector -g
SHELL = bash
SRC = logic.c
TARGET = $(SRC:%.c=%)

.PHONY: build
build: $(TARGET)

%: %.c
	$(CC) ${CFLAGS} $< -o $@

.PHONY: clean
clean:
	rm -f logic
